## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celNetworkLinkData Class Reference

The data about a network link. More...

`#include <physicallayer/nettypes.h>`

List of all members.

## Public Member Functions

| celNetworkLinkData (celNetworkLinkType _link_type, iCelEntity *_linked_entity, csBitArray _persistence_mask, csTicks _period)
| celNetworkLinkData ()
| ~celNetworkLinkData ()

## Public Attributes

celNetworkLinkType | link_type
| The type of the source of the network link.
csRef< iCelEntity > | linked_entity
| The source of the network link.
csTicks | period
| The time period between the sending of updates.
csBitArray | persistence_mask
| A mask to select needed fields of the persistent data that will be sent.

## Detailed Description

The data about a network link.

Definition at line 374 of file nettypes.h.

## Member Data Documentation

celNetworkLinkType celNetworkLinkData::link_type

| The type of the source of the network link. Definition at line 380 of file nettypes.h.

csRef<iCelEntity> celNetworkLinkData::linked_entity

| The source of the network link. Definition at line 385 of file nettypes.h.

csTicks celNetworkLinkData::period

| The time period between the sending of updates. A period of 0 means that the link should be updated only once. A period of 1 means that it should be updated it as soon as possible. Definition at line 397 of file nettypes.h.

csBitArray celNetworkLinkData::persistence_mask

| A mask to select needed fields of the persistent data that will be sent. Definition at line 390 of file nettypes.h.

The documentation for this class was generated from the following file:

- physicallayer/nettypes.h